# Method: projects.instances.clusters.create

Creates a cluster within an instance.

Note that exactly one of Cluster.serve_nodes and Cluster.cluster_config.cluster_autoscaling_config can be set. If serveNodes is set to non-zero, then the cluster is manually scaled. If clusterConfig.cluster_autoscaling_config is non-empty, then autoscaling is enabled.

### HTTP request

`POST https://bigtableadmin.googleapis.com/v2/{parent=projects/*/instances/*}/clusters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The unique name of the instance in which to create the new cluster. Values are of the form `projects/{project}/instances/{instance}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `bigtable.clusters.create` |

### Query parameters

| Parameters ||
|---|---|
| `clusterId` | `string` Required. The ID to be used when referring to the new cluster within its instance, e.g., just `mycluster` rather than `projects/myproject/instances/myinstance/clusters/mycluster`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances.clusters#Cluster`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigtable.admin`
- `https://www.googleapis.com/auth/bigtable.admin.cluster`
- `https://www.googleapis.com/auth/bigtable.admin.instance`
- `https://www.googleapis.com/auth/cloud-bigtable.admin`
- `https://www.googleapis.com/auth/cloud-bigtable.admin.cluster`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).